libdvbv5: dvb_mpeg_ts_adaption Struct Reference

libdvbv5 1.28.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_mpeg_ts_adaption Struct Reference
Digital TV table parsing

MPEG TS header adaption field. More...

`#include <mpeg_ts.h>`

## Data Fields
uint8_t | length
struct { |
uint8_t extension:1 |
uint8_t private_data:1 |
uint8_t splicing_point:1 |
uint8_t OPCR:1 |
uint8_t PCR:1 |
uint8_t priority:1 |
uint8_t random_access:1 |
uint8_t discontinued:1 |
}; |  |
uint8_t | data []

## Detailed Description

MPEG TS header adaption field.

Parameters

  type | DVB_MPEG_ES_SEQ_START
  length | 1 bit Adaptation Field Length
  discontinued | 1 bit Discontinuity indicator
  random_access | 1 bit Random Access indicator
  priority | 1 bit Elementary stream priority indicator
  PCR | 1 bit PCR flag
  OPCR | 1 bit OPCR flag
  splicing_point | 1 bit Splicing point flag
  private_data | 1 bit Transport private data flag
  extension | 1 bit Adaptation field extension flag
  data | Pointer to data

Definition at line 70 of file mpeg_ts.h.

## Field Documentation

## ◆ [struct]

struct { ... } dvb_mpeg_ts_adaption

## ◆ data

uint8_t dvb_mpeg_ts_adaption::data[]

Definition at line 82 of file mpeg_ts.h.

## ◆ discontinued

uint8_t dvb_mpeg_ts_adaption::discontinued

Definition at line 80 of file mpeg_ts.h.

## ◆ extension

uint8_t dvb_mpeg_ts_adaption::extension

Definition at line 73 of file mpeg_ts.h.

## ◆ length

uint8_t dvb_mpeg_ts_adaption::length

Definition at line 71 of file mpeg_ts.h.

## ◆ OPCR

uint8_t dvb_mpeg_ts_adaption::OPCR

Definition at line 76 of file mpeg_ts.h.

## ◆ PCR

uint8_t dvb_mpeg_ts_adaption::PCR

Definition at line 77 of file mpeg_ts.h.

## ◆ priority

uint8_t dvb_mpeg_ts_adaption::priority

Definition at line 78 of file mpeg_ts.h.

## ◆ private_data

uint8_t dvb_mpeg_ts_adaption::private_data

Definition at line 74 of file mpeg_ts.h.

## ◆ random_access

uint8_t dvb_mpeg_ts_adaption::random_access

Definition at line 79 of file mpeg_ts.h.

## ◆ splicing_point

uint8_t dvb_mpeg_ts_adaption::splicing_point

Definition at line 75 of file mpeg_ts.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_ts.h